
#include "log.h"

Log::Log ( const char * filename )
{
	m_logfile.open( filename );
	m_logfile << "const,avg_fit,avg_len,max_run,best_cover" << endl;
}


Log::~Log ()
{
	m_logfile.close();
}


void Log::capture ( const TSCCD_EA::Stats & stats )
{
	m_logfile << stats.constructions << ",";
	m_logfile << stats.avg_fit << ",";
	m_logfile << stats.avg_len << ",";
	m_logfile << stats.max_run << ",";
	m_logfile << stats.best_cover << endl;
}
